Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::Rectangle Struct Reference

Defines a rectangle in pixel space. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| Rectangle ()
| Rectangle (uint32_t _left, uint32_t _top, uint32_t _width, uint32_t _height)
bool | operator== (const Rectangle &other) const

## Public Attributes

uint32_t | left
uint32_t | top
uint32_t | width
uint32_t | height

## Detailed Description

Defines a rectangle in pixel space.

Definition at line 478 of file Types.h.

## Constructor & Destructor Documentation

Argus::Rectangle::Rectangle | ( |  | ) |

inline

Definition at line 485 of file Types.h.

Argus::Rectangle::Rectangle | ( | uint32_t | _left,
|  | uint32_t | _top,
|  | uint32_t | _width,
|  | uint32_t | _height
| ) |  |

inline

Definition at line 486 of file Types.h.

## Member Function Documentation

bool Argus::Rectangle::operator== | ( | const Rectangle & | other | ) | const

inline

Definition at line 490 of file Types.h.

## Member Data Documentation

uint32_t Argus::Rectangle::height

Definition at line 483 of file Types.h.

uint32_t Argus::Rectangle::left

Definition at line 480 of file Types.h.

uint32_t Argus::Rectangle::top

Definition at line 481 of file Types.h.

uint32_t Argus::Rectangle::width

Definition at line 482 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h